com.sun.mirror.apt

## Interface RoundState

    public interface RoundState

Represents the status of a completed round of annotation processing.

Since:
  1.5

### Method Summary

Methods
`boolean` `classFilesCreated()` Returns `true` if new class files were created in this round of processing; returns `false` otherwise.
`boolean` `errorRaised()` Returns `true` if an error was raised in this round of processing; returns `false` otherwise.
`boolean` `finalRound()` Returns `true` if this was the last round of annotation processing; returns `false` if there will be a subsequent round.
`boolean` `sourceFilesCreated()` Returns `true` if new source files were created in this round of processing; returns `false` otherwise.

### Method Detail

#### finalRound

    boolean finalRound()

Returns `true` if this was the last round of annotation processing; returns `false` if there will be a subsequent round.

#### errorRaised

    boolean errorRaised()

Returns `true` if an error was raised in this round of processing; returns `false` otherwise.

#### sourceFilesCreated

    boolean sourceFilesCreated()

Returns `true` if new source files were created in this round of processing; returns `false` otherwise.

#### classFilesCreated

    boolean classFilesCreated()

Returns `true` if new class files were created in this round of processing; returns `false` otherwise.

Copyright © 2004, 2014, Oracle and/or its affiliates. All rights reserved.